Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2070 - 5.9.7 ldconfig inconsistent soname
Summary: 5.9.7 ldconfig inconsistent soname
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ldconfig
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-08 21:49 UTC by Jaroslaw Sosnicki
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 02:35:41 UTC


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 1999-04-08 21:49:31 UTC
When I run:
dconfig -D

I am getting some wornings inconsistent soname.
 Here is complete list of lines that generate warnings.

------
ldconfig: version 1999-02-21
/usr/lib:
ldconfig: warning: /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
has inconsistent sona
me (libstdc++-libc6.1-1.so.2)
/usr/i486-linux-libc5/lib:
ldconfig: warning:
/usr/i486-linux-libc5/lib/libform.so.1.9.9e has inconsistent
soname (libform.so.3.0)
ldconfig: warning:
/usr/i486-linux-libc5/lib/libmenu.so.1.9.9e has inconsistent
soname (libmenu.so.3.0)
ldconfig: warning:
/usr/i486-linux-libc5/lib/libncurses.so.1.9.9e has
inconsiste
nt soname (libncurses.so.3.0)
ldconfig: warning:
/usr/i486-linux-libc5/lib/libpanel.so.1.9.9e has
inconsistent
 soname (libpanel.so.3.0)
/usr/lib:
ldconfig: warning: /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
has inconsistent sona
me (libstdc++-libc6.1-1.so.2)
/lib:
ldconfig: warning: /lib/ld-2.1.1.so has inconsistent soname
(ld-linux.so.2)
ldconfig: warning: /lib/libBrokenLocale-2.1.1.so has
inconsistent soname (libBro
kenLocale.so.1)
ldconfig: warning: /lib/libNoVersion-2.1.1.so has
inconsistent soname (libNoVers
ion.so.1)
ldconfig: warning: /lib/libc-2.1.1.so has inconsistent
soname (libc.so.6)
ldconfig: warning: /lib/libcrypt-2.1.1.so has inconsistent
soname (libcrypt.so.1
)
ldconfig: warning: /lib/libdb-2.1.1.so has inconsistent
soname (libdb.so.3)
ldconfig: warning: /lib/libdb1-2.1.1.so has inconsistent
soname (libdb.so.2)
ldconfig: warning: /lib/libdl-2.1.1.so has inconsistent
soname (libdl.so.2)
ldconfig: warning: /lib/libm-2.1.1.so has inconsistent
soname (libm.so.6)
ldconfig: warning: /lib/libnsl-2.1.1.so has inconsistent
soname (libnsl.so.1)
ldconfig: warning: /lib/libnss1_compat-2.1.1.so has
inconsistent soname (libnss_
compat.so.1)
ldconfig: warning: /lib/libnss1_db-2.1.1.so has inconsistent
soname (libnss_db.s
o.1)
ldconfig: warning: /lib/libnss1_dns-2.1.1.so has
inconsistent soname (libnss_dns
.so.1)
ldconfig: warning: /lib/libnss1_files-2.1.1.so has
inconsistent soname (libnss_f
iles.so.1)
ldconfig: warning: /lib/libnss1_files-2.1.1.so has
inconsistent soname (libnss_f
iles.so.1)
ldconfig: warning: /lib/libnss1_nis-2.1.1.so has
inconsistent soname (libnss_nis
.so.1)
ldconfig: warning: /lib/libnss_compat-2.1.1.so has
inconsistent soname (libnss_c
ompat.so.2)
ldconfig: warning: /lib/libnss_db-2.1.1.so has inconsistent
soname (libnss_db.so
.2)
ldconfig: warning: /lib/libnss_dns-2.1.1.so has inconsistent
soname (libnss_dns.
so.2)
ldconfig: warning: /lib/libnss_files-2.1.1.so has
inconsistent soname (libnss_fi
les.so.2)
ldconfig: warning: /lib/libnss_hesiod-2.1.1.so has
inconsistent soname (libnss_h
esiod.so.2)
ldconfig: warning: /lib/libnss_nis-2.1.1.so has inconsistent
soname (libnss_nis.
so.2)
ldconfig: warning: /lib/libnss_nisplus-2.1.1.so has
inconsistent soname (libnss_
nisplus.so.2)
ldconfig: warning: /lib/libpthread-0.8.so has inconsistent
soname (libpthread.so
.0)
ldconfig: warning: /lib/libresolv-2.1.1.so has inconsistent
soname (libresolv.so
.2)
ldconfig: warning: /lib/librt-2.1.1.so has inconsistent
soname (librt.so.1)
ldconfig: warning: /lib/libutil-2.1.1.so has inconsistent
soname (libutil.so.1)

Comment 1 Cristian Gafton 1999-04-10 02:35:59 UTC
Well, those sonames *are* inconsistent. Nothing wrong with that.


Note You need to log in before you can comment on or make changes to this bug.